/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.voting-round {
  .heading-holder {
    padding: 1% 5%;
    min-width: 56vw;
    background: none;
  }
  display: flex;
  justify-content: center;

  white-space: pre-wrap;
  * {
    font-size: 1.6rem;
  }
  .ant-row {
    margin-top: 24px;
    padding-bottom: 8px;
  }
  dl {
    font-size: 1.6rem;
    line-height: 26px;
    overflow: hidden;
    margin-bottom: 0;
    dt {
      float: left;
      clear: left;
      width: 50%;
      font-weight: normal;
      max-width: 364px;
    }
    dd {
      float: left;
      width: 50%;
      max-width: 650px;
      .show-mail-button {
        padding: 0;
        border: 0;
        box-shadow: none;
        color: @platform-text-color;

        span {
          font-size: 1.6rem;
          line-height: 26px;
          padding: 0 5px;
          text-decoration: underline;
        }
        &:hover,
        &:focus {
          span {
            background: @platform-text-color;
            color: @platform-btn-primary-color;
            text-decoration: none;
          }
        }
      }
      .additional-file-list {
        list-style: none;
        padding-left: 0;
        margin-bottom: 0;
      }
    }
    .editor-entwurf {
      dd {
        a {
          &:not(:hover, :focus, :active) {
            color: @platfrom-blue1;
          }
          margin: 0 10px;
          max-width: unset;
        }
        div {
          min-width: 510px;
        }
        span {
          &:first-child {
            margin-left: 0;
          }
          display: block;
          margin-left: 10px;
        }
      }
    }
  }
  .header-labels {
    white-space: initial;
    label {
      display: block;
    }
  }
  .header-values {
    place-self: flex-end;
    span {
      display: block;
    }
    .mail-text {
      .ant-collapse-header {
        padding: 0;
      }
      .ant-collapse-content-box {
        white-space: pre-line;
        text-align: left;
        padding: 0;
      }
    }
    .download-link {
      text-decoration: none;
      .anticon:last-of-type {
        margin-right: 13px !important;
      }
    }
  }
  .vertical-seperator {
    border-top: 1px solid;
    width: 100%;
    color: @platform-blue3;
  }

  .btn-row {
    justify-content: flex-end;
  }
}
.help-link {
  font-size: 1.6rem;
  span {
    font-weight: normal;
  }
}

tbody tr td:first-child {
  padding-left: 1em;
}

.span-ruckmeldung-modal-info {
  margin-right: 0.5rem;
}

.dt-new-deadline {
  background-color: #fff;
  padding: 1.2em;
}

.dd-new-deadline {
  background-color: #fff;
  padding: 1.2em;
  padding-left: 0;
  width: auto !important;
}

.additional-fristen-list {
  list-style-type: none;
}
